## org.eclipse.datatools.sqltools.sqlbuilder.views.source
Class SQLEditorDocumentProvider

    java.lang.Object
      org.eclipse.ui.texteditor.AbstractDocumentProvider
          org.eclipse.datatools.sqltools.sqlbuilder.views.source.SQLEditorDocumentProvider

All Implemented Interfaces:
  org.eclipse.ui.texteditor.IDocumentProvider, org.eclipse.ui.texteditor.IDocumentProviderExtension, org.eclipse.ui.texteditor.IDocumentProviderExtension2, org.eclipse.ui.texteditor.IDocumentProviderExtension3, org.eclipse.ui.texteditor.IDocumentProviderExtension4, org.eclipse.ui.texteditor.IDocumentProviderExtension5

    public class SQLEditorDocumentProvider

extends org.eclipse.ui.texteditor.AbstractDocumentProvider

Constructor Summary
`SQLEditorDocumentProvider()`

Method Summary
`static org.eclipse.jface.text.IDocument` `createDocument(java.lang.String element)`
`static org.eclipse.jface.text.IDocumentPartitioner` `createDocumentPartitioner()` Create a document partitioner
`long` `getModificationStamp(java.lang.Object element)`
`long` `getSynchronizationStamp(java.lang.Object element)`
`java.lang.String` `inputToStringHelper(java.lang.Object object)`
`boolean` `isDeleted(java.lang.Object element)`

Methods inherited from class org.eclipse.ui.texteditor.AbstractDocumentProvider

`aboutToChange, addElementStateListener, canSaveDocument, changed, connect, disconnect, getAnnotationModel, getContentType, getDocument, getProgressMonitor, getStatus, isModifiable, isNotSynchronizedException, isReadOnly, isStateValidated, isSynchronized, mustSaveDocument, removeElementStateListener, resetDocument, saveDocument, setCanSaveDocument, setProgressMonitor, synchronize, updateStateCache, validateState`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLEditorDocumentProvider

    public SQLEditorDocumentProvider()

Method Detail

### createDocument

    public static org.eclipse.jface.text.IDocument createDocument(java.lang.String element)
                                                           throws org.eclipse.core.runtime.CoreException

  Throws:
    `org.eclipse.core.runtime.CoreException`

### createDocumentPartitioner

    public static org.eclipse.jface.text.IDocumentPartitioner createDocumentPartitioner()

  Create a document partitioner

### inputToStringHelper

    public java.lang.String inputToStringHelper(java.lang.Object object)

### getModificationStamp

    public long getModificationStamp(java.lang.Object element)

  Specified by:
    `getModificationStamp` in interface `org.eclipse.ui.texteditor.IDocumentProvider`
  Overrides:
    `getModificationStamp` in class `org.eclipse.ui.texteditor.AbstractDocumentProvider`

### getSynchronizationStamp

    public long getSynchronizationStamp(java.lang.Object element)

  Specified by:
    `getSynchronizationStamp` in interface `org.eclipse.ui.texteditor.IDocumentProvider`
  Overrides:
    `getSynchronizationStamp` in class `org.eclipse.ui.texteditor.AbstractDocumentProvider`

### isDeleted

    public boolean isDeleted(java.lang.Object element)

  Specified by:
    `isDeleted` in interface `org.eclipse.ui.texteditor.IDocumentProvider`
  Overrides:
    `isDeleted` in class `org.eclipse.ui.texteditor.AbstractDocumentProvider`